CREATE TABLE blocks (
    id      BLOB NOT NULL PRIMARY KEY,
    rank    TEXT NOT NULL UNIQUE,
    type    TEXT NOT NULL
);

CREATE TABLE block_properties (
    block_id    BLOB NOT NULL,
    name        TEXT NOT NULL,
    data        BLOB NOT NULL,
    PRIMARY KEY(block_id, name),
    FOREIGN KEY(block_id)
        REFERENCES blocks(id)
        ON DELETE CASCADE
);
